﻿#######################
# Show installed NICs #
#######################
Get-NetAdapter
 
#######################
# Create new NIC-Team #
#######################
New-NetLbfoTeam -Name "Mgmt-Team" -TeamMembers "Slot1 Port 1", "Slot9 Port 2" -TeamingMode LACP -LoadBalancingAlgorithm Dynamic
 
##################
# Create vSwitch #
##################
New-VMSwitch "MgmtSwitch" -MinimumBandwidthMode weight -NetAdapterName "Mgmt-Team" -AllowManagementOS $false 
 
############################################
# Create and configure Management network  #
############################################
Add-VMNetworkAdapter -ManagementOS -Name "Management" -SwitchName "MgmtSwitch"
Set-VMNetworkAdapter -ManagementOS -Name "Management" -MinimumBandwidthWeight 10
#########################################
# Create and configure Cluster network  #
#########################################
Add-VMNetworkAdapter -ManagementOS -Name "Cluster" -SwitchName "MgmtSwitch"
Set-VMNetworkAdapter -ManagementOS -Name "Cluster" -MinimumBandwidthWeight 20
###############################################
# Create and configure Live Migration network #
###############################################
Add-VMNetworkAdapter -ManagementOS -Name "Live Migration" -SwitchName "MgmtSwitch"
Set-VMNetworkAdapter -ManagementOS -Name "Live Migration" -MinimumBandwidthWeight 50
 
#####################################################
# Configure the Management vNIC with an IP address  #
#####################################################
New-NetIPAddress -InterfaceAlias "vEthernet (Management)" -IPAddress 192.168.10.10 -PrefixLength 24 -DefaultGateway 192.168.10.254
 
#####################################################
# Configure the DNS address of the Management vNIC  #
#####################################################
Set-DnsClientServerAddress -InterfaceAlias "vEthernet (Management)" -ServerAddresses ("192.168.10.20","192.168.10.120","192.168.10.220")